[fuel] cleanup: remove unused job defs & scripts 59/62559/1
authorAlexandru Avadanii <Alexandru.Avadanii@enea.com>
Wed, 19 Sep 2018 13:38:14 +0000 (15:38 +0200)
committerAlexandru Avadanii <Alexandru.Avadanii@enea.com>
Wed, 19 Sep 2018 13:54:27 +0000 (15:54 +0200)
Change-Id: I64aae5719f1a0a667e56722bab9e5012a813571f
Signed-off-by: Alexandru Avadanii <Alexandru.Avadanii@enea.com>
jjb/fuel/fuel-daily-jobs.yaml
jjb/fuel/fuel-deploy.sh
jjb/fuel/fuel-lab-reconfig.sh [deleted file]
jjb/fuel/fuel-project-jobs.yaml
jjb/fuel/fuel-weekly-jobs.yaml [deleted file]

index 07cdb73..4ab3f3c 100644 (file)
           use-build-blocker: true
           blocking-jobs:
             - 'fuel-os-.*?-{pod}-daily-.*'
-            - 'fuel-os-.*?-{pod}-weekly-.*'
             - 'fuel-verify-.*'
           block-level: 'NODE'
 
           use-build-blocker: true
           blocking-jobs:
             - 'fuel-deploy-{pod}-daily-.*'
-            - 'fuel-deploy-generic-daily-.*'
-            - 'fuel-deploy-{pod}-weekly-.*'
-            - 'fuel-deploy-generic-weekly-.*'
           block-level: 'NODE'
 
     parameters:
index dace7fc..f20827a 100755 (executable)
@@ -117,7 +117,7 @@ echo "Deployment is done!"
 
 # upload logs for baremetal deployments
 # work with virtual deployments is still going on, so skip that for now
-if [[ "${JOB_NAME}" =~ (baremetal-daily|baremetal-weekly) ]]; then
+if [[ "${JOB_NAME}" =~ baremetal-daily ]]; then
     echo "Uploading deployment logs"
     gsutil cp "${WORKSPACE}/${FUEL_LOG_FILENAME}" \
         "gs://${GS_URL}/logs/${FUEL_LOG_FILENAME}" > /dev/null 2>&1
diff --git a/jjb/fuel/fuel-lab-reconfig.sh b/jjb/fuel/fuel-lab-reconfig.sh
deleted file mode 100755 (executable)
index 4b42a39..0000000
+++ /dev/null
@@ -1,80 +0,0 @@
-#!/bin/bash
-# SPDX-license-identifier: Apache-2.0
-##############################################################################
-# Copyright (c) 2016 Ericsson AB and others.
-# All rights reserved. This program and the accompanying materials
-# are made available under the terms of the Apache License, Version 2.0
-# which accompanies this distribution, and is available at
-# http://www.apache.org/licenses/LICENSE-2.0
-##############################################################################
-set -o errexit
-set -o nounset
-set -o pipefail
-
-# check to see if ucs login info file exists
-if [ -e ~/.ssh/ucs_creds ];then
-    source ~/.ssh/ucs_creds
-else
-    echo "Unable to find UCS credentials for LF lab reconfiguration...Exiting"
-    exit 1
-fi
-
-# clone releng
-echo "Cloning releng repo..."
-if ! GIT_SSL_NO_VERIFY=true git clone https://gerrit.opnfv.org/gerrit/releng; then
-    echo "Unable to clone releng repo...Exiting"
-    exit 1
-fi
-
-# log info to console
-echo "Starting the lab reconfiguration for $INSTALLER_TYPE..."
-echo "--------------------------------------------------------"
-echo
-
-# create venv
-$WORKSPACE/releng/utils/lab-reconfiguration/create_venv.sh
-
-# disable nounset because 'activate' script contains unbound variable(s)
-set +o nounset
-# enter venv
-source $WORKSPACE/releng/utils/lab-reconfiguration/venv/bin/activate
-# set nounset back again
-set -o nounset
-
-# verify we are in venv
-if [[ ! $(which python | grep venv) ]]; then
-    echo "Unable to activate venv...Exiting"
-    exit 1
-fi
-
-python $WORKSPACE/releng/utils/lab-reconfiguration/reconfigUcsNet.py -i $ucs_host -u $ucs_user -p $ucs_password -f $WORKSPACE/releng/utils/lab-reconfiguration/fuel.yaml
-
-# while undergoing reboot
-sleep 30
-
-# check to see if slave is back up
-ping_counter=0
-ping_flag=0
-while [ "$ping_counter" -lt 20 ]; do
-    if [[ $(ping -c 5 172.30.10.72) ]]; then
-        ping_flag=1
-        break
-    fi
-    ((ping_counter++))
-    sleep 10
-done
-
-if [ "$ping_flag" -eq 1 ]; then
-    echo "Slave is pingable, now wait 180 seconds for services to start"
-    sleep 180
-else
-    echo "Slave did not come back up after reboot: please check lf-pod2"
-    exit 1
-fi
-
-set +o nounset
-deactivate
-
-echo
-echo "--------------------------------------------------------"
-echo "Done!"
index 40ba6e6..7d7e459 100644 (file)
     rtd-token: 38f40bf6c08fd4bccb930871bc29b08404cf98b0
 
     jobs:
-      - 'fuel-deploy-generic-daily-{stream}'
       - '{project-name}-rtd-jobs'
-
-########################
-# job templates
-########################
-- job-template:
-    name: 'fuel-deploy-generic-daily-{stream}'
-
-    concurrent: true
-
-    disabled: '{obj:disabled}'
-
-    properties:
-      - logrotate-default
-      - throttle:
-          enabled: true
-          max-per-node: 1
-          option: 'project'
-      - build-blocker:
-          use-build-blocker: true
-          blocking-jobs:
-            - 'fuel-os-.*?-daily-.*'
-            - 'fuel-deploy-generic-daily-.*'
-          block-level: 'NODE'
-
-    parameters:
-      - project-parameter:
-          project: '{project}'
-          branch: '{branch}'
-      - '{installer}-defaults':
-          gs-pathname: '{gs-pathname}'
-      - string:
-          name: GIT_BASE
-          default: https://gerrit.opnfv.org/gerrit/$PROJECT
-          description: 'Git URL to use on this Jenkins Slave'
-      - string:
-          name: DEPLOY_SCENARIO
-          default: 'os-odl-nofeature-ha'
-      - node:
-          name: SLAVE_NAME
-          description: 'Slave name on Jenkins'
-          allowed-slaves:
-            - ericsson-pod2
-            - lf-pod2
-            - ericsson-pod1
-          default-slaves:
-            - ericsson-pod2
-
-    scm:
-      - git-scm
-
-    wrappers:
-      - build-name:
-          name: '$BUILD_NUMBER - POD: $NODE_NAME Scenario: $DEPLOY_SCENARIO'
-
-    builders:
-      - shell:
-          !include-raw-escape: ./fuel-deploy.sh
diff --git a/jjb/fuel/fuel-weekly-jobs.yaml b/jjb/fuel/fuel-weekly-jobs.yaml
deleted file mode 100644 (file)
index c6b9217..0000000
+++ /dev/null
@@ -1,189 +0,0 @@
----
-# jenkins job templates for Fuel
-- project:
-
-    name: fuel-weekly
-
-    project: fuel
-
-    installer: fuel
-
-    # -------------------------------
-    # BRANCH ANCHORS
-    # -------------------------------
-    master: &master
-      stream: master
-      branch: '{stream}'
-      disabled: false
-      gs-pathname: ''
-    fraser: &fraser
-      stream: fraser
-      branch: 'stable/{stream}'
-      disabled: false
-      gs-pathname: '/{stream}'
-    # -------------------------------
-    # POD, INSTALLER, AND BRANCH MAPPING
-    # -------------------------------
-    #        CI PODs
-    # -------------------------------
-    pod:
-      - baremetal:
-          slave-label: fuel-baremetal
-          <<: *master
-      - virtual:
-          slave-label: fuel-virtual
-          <<: *master
-      - baremetal:
-          slave-label: fuel-baremetal
-          <<: *fraser
-      - virtual:
-          slave-label: fuel-virtual
-          <<: *fraser
-    # -------------------------------
-    #       scenarios
-    # -------------------------------
-    scenario:
-      # HA scenarios
-      - 'os-nosdn-nofeature-ha':
-          auto-trigger-name: 'weekly-trigger-disabled'
-
-    jobs:
-      - 'fuel-{scenario}-{pod}-weekly-{stream}'
-      - 'fuel-deploy-{pod}-weekly-{stream}'
-
-########################
-# job templates
-########################
-- job-template:
-    name: 'fuel-{scenario}-{pod}-weekly-{stream}'
-
-    disabled: '{obj:disabled}'
-
-    concurrent: false
-
-    properties:
-      - logrotate-default
-      - throttle:
-          enabled: true
-          max-total: 4
-          max-per-node: 1
-          option: 'project'
-      - build-blocker:
-          use-build-blocker: true
-          blocking-jobs:
-            - 'fuel-os-.*?-{pod}-daily-.*'
-            - 'fuel-os-.*?-{pod}-weekly-.*'
-            - 'fuel-verify-.*'
-          block-level: 'NODE'
-
-    wrappers:
-      - build-name:
-          name: '$BUILD_NUMBER - Scenario: $DEPLOY_SCENARIO'
-
-    triggers:
-      - '{auto-trigger-name}'
-
-    parameters:
-      - project-parameter:
-          project: '{project}'
-          branch: '{branch}'
-      - '{installer}-defaults':
-          gs-pathname: '{gs-pathname}'
-      - '{slave-label}-defaults':
-          installer: '{installer}'
-      - string:
-          name: DEPLOY_SCENARIO
-          default: '{scenario}'
-
-    builders:
-      - description-setter:
-          description: "Built on $NODE_NAME"
-      - trigger-builds:
-          - project: 'fuel-deploy-{pod}-weekly-{stream}'
-            current-parameters: false
-            predefined-parameters:
-              DEPLOY_SCENARIO={scenario}
-            same-node: true
-            block: true
-      - trigger-builds:
-          - project: 'functest-fuel-{pod}-weekly-{stream}'
-            current-parameters: false
-            predefined-parameters:
-              DEPLOY_SCENARIO={scenario}
-            same-node: true
-            block: true
-            block-thresholds:
-              build-step-failure-threshold: 'never'
-              failure-threshold: 'never'
-              unstable-threshold: 'FAILURE'
-
-    publishers:
-      - email-fuel-ptl
-      - email-jenkins-admins-on-failure
-
-- job-template:
-    name: 'fuel-deploy-{pod}-weekly-{stream}'
-
-    disabled: '{obj:disabled}'
-
-    concurrent: true
-
-    properties:
-      - logrotate-default
-      - throttle:
-          enabled: true
-          max-total: 4
-          max-per-node: 1
-          option: 'project'
-      - build-blocker:
-          use-build-blocker: true
-          blocking-jobs:
-            - 'fuel-deploy-{pod}-daily-.*'
-            - 'fuel-deploy-generic-daily-.*'
-            - 'fuel-deploy-{pod}-weekly-.*'
-            - 'fuel-deploy-generic-weekly-.*'
-          block-level: 'NODE'
-
-    parameters:
-      - project-parameter:
-          project: '{project}'
-          branch: '{branch}'
-      - '{installer}-defaults':
-          gs-pathname: '{gs-pathname}'
-      - '{slave-label}-defaults':
-          installer: '{installer}'
-      - testapi-parameter
-      - string:
-          name: DEPLOY_SCENARIO
-          default: 'os-odl-nofeature-ha'
-
-    scm:
-      - git-scm
-
-    wrappers:
-      - build-name:
-          name: '$BUILD_NUMBER - Scenario: $DEPLOY_SCENARIO'
-
-    builders:
-      - description-setter:
-          description: "Built on $NODE_NAME"
-      - track-begin-timestamp
-      - shell:
-          !include-raw-escape: ./fuel-deploy.sh
-
-    publishers:
-      - email-fuel-ptl
-      - email-jenkins-admins-on-failure
-      - report-provision-result
-
-########################
-# trigger macros
-########################
-# ----------------------------------------------
-# Triggers for job running on fuel-baremetal against master branch
-# ----------------------------------------------
-# HA Scenarios
-- trigger:
-    name: 'fuel-os-nosdn-nofeature-ha-baremetal-weekly-master-trigger'
-    triggers:
-      - timed: ''